jdk 1.5 openbsd 3.9 sparc64 - BSD

This is a discussion on jdk 1.5 openbsd 3.9 sparc64 - BSD ; Howdy all, being a relative new comer to OBSD (ave. on other Unicies), could someone please advise how i could install jdk 1.5 for OBSD 3.9 on a sparc64 box. The ports section only has jdk 1.5 for i386, -not ...

+ Reply to Thread
Results 1 to 8 of 8

Thread: jdk 1.5 openbsd 3.9 sparc64

  1. jdk 1.5 openbsd 3.9 sparc64

    Howdy all,

    being a relative new comer to OBSD (ave. on other Unicies), could
    someone please advise how i could install jdk 1.5 for OBSD 3.9 on a
    sparc64 box.


    The ports section only has jdk 1.5 for i386, -not for sparc.

    jdk 1.5 is a dependancy for SSL-Explorer.............. which i
    desperately like to install.


    Thanks in Advance
    Jay

    ++++++++++++++++++
    ++ Thanks to all developers who make FSF great !!!


  2. Re: jdk 1.5 openbsd 3.9 sparc64

    wrote:

    > being a relative new comer to OBSD (ave. on other Unicies), could
    > someone please advise how i could install jdk 1.5 for OBSD 3.9 on a
    > sparc64 box.


    You can't.

    > The ports section only has jdk 1.5 for i386, -not for sparc.


    Exactly.

    --
    Christian "naddy" Weisgerber naddy@mips.inka.de

  3. Re: jdk 1.5 openbsd 3.9 sparc64

    appreciate the helpfullness

    now go **** yourself.



    Christian Weisgerber wrote:
    > wrote:
    >
    > > being a relative new comer to OBSD (ave. on other Unicies), could
    > > someone please advise how i could install jdk 1.5 for OBSD 3.9 on a
    > > sparc64 box.

    >
    > You can't.
    >
    > > The ports section only has jdk 1.5 for i386, -not for sparc.

    >
    > Exactly.
    >
    > --
    > Christian "naddy" Weisgerber naddy@mips.inka.de



  4. Re: jdk 1.5 openbsd 3.9 sparc64

    geemail99@gmail.com wrote:

    > appreciate the helpfullness
    >
    > now go **** yourself.


    You got a clear answer from an authorative source (naddy is an OBSD
    developer) ... he wasn't being a smartass. If it is really important, you
    will have to aquire a cheap i386-based PC, or check if jdk 1.5 is available
    for Solaris and pursue that route. Sorry!

  5. Re: jdk 1.5 openbsd 3.9 sparc64

    Thanks Beaker - appreciate the update .....


    beaker wrote:
    > geemail99@gmail.com wrote:
    >
    > > appreciate the helpfullness
    > >
    > > now go **** yourself.

    >
    > You got a clear answer from an authorative source (naddy is an OBSD
    > developer) ... he wasn't being a smartass. If it is really important, you
    > will have to aquire a cheap i386-based PC, or check if jdk 1.5 is available
    > for Solaris and pursue that route. Sorry!



  6. Re: jdk 1.5 openbsd 3.9 sparc64

    geemail99@gmail.com wrote:
    > Christian Weisgerber wrote:
    >> wrote:
    >>
    >>> being a relative new comer to OBSD (ave. on other Unicies), could
    >>> someone please advise how i could install jdk 1.5 for OBSD 3.9 on a
    >>> sparc64 box.

    >> You can't.
    >>
    >>> The ports section only has jdk 1.5 for i386, -not for sparc.

    >> Exactly.
    >>

    > appreciate the helpfullness
    >
    > now go **** yourself.
    >

    Cripes. Feeling a little unloved? Christian may have been a bit terse,
    but he was absolutely correct.

    No one has made a port for Sparc. If there is no port you will have to
    do it the hard way, if you can do it at all. He was being terse because
    this is clearly no longer an OpenBSD issue. It is a "port the JDK to a
    new OS and platform" issue.

    Therefore, one cannot simply "install" 1.5 JDK on a Sparc OBSD box.

    The history around the FreeBSD port may help, only changed to compile
    the source on Sparc -- with or without the Linux distribution to
    bootstrap. The details required to do this are non-trivial, so your
    query for "please advise how" instructions is essentially unanswerable.

  7. Re: jdk 1.5 openbsd 3.9 sparc64

    geemail99@gmail.com wrote:
    > Howdy all,
    >
    > being a relative new comer to OBSD (ave. on other Unicies), could
    > someone please advise how i could install jdk 1.5 for OBSD 3.9 on a
    > sparc64 box.
    >
    >
    > The ports section only has jdk 1.5 for i386, -not for sparc.


    At the risk of being told to **** off, there is some movement;
    ports-changes@ shows that AMD64 now works, using a better mechanism,
    too.

    No clue if this is going to go all the way, though.

    Joachim

  8. Re: jdk 1.5 openbsd 3.9 sparc64

    mmmm,

    i am sure that in due coarse the jdk 1.5 will be available for the
    SPARC64.
    Thanks for all your posts, and pardon the nastiness - must have been a
    bad day, and it's easier to mis-interpret postings than i (should have)
    realized.


    Thanks to all,


+ Reply to Thread